Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (ededac6c5ee1d31d648d6f5ee1153f1a4734aaa1)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Justin Boffemmyer <scm AT sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (ededac6c5ee1d31d648d6f5ee1153f1a4734aaa1)
  • Date: Wed, 8 Oct 2008 22:14:47 -0500

GIT changes to test cauldron by Justin Boffemmyer <flux AT sourcemage.org>:

scripts/mksystem.sh | 31 +++++++++++++++++++++++++++++++
1 files changed, 31 insertions(+)

New commits:
commit ededac6c5ee1d31d648d6f5ee1153f1a4734aaa1
Author: Justin Boffemmyer <flux AT sourcemage.org>
Commit: Justin Boffemmyer <flux AT sourcemage.org>

scripts/mksystem.sh: script to tar up system dir

Takes the system chroot dir ($1) and writes a bzip2 compressed tarball
to a file (either default or $2). This file will need to be copied to
the iso chroot dir afterwards.

diff --git a/scripts/mksystem.sh b/scripts/mksystem.sh
new file mode 100755
index 0000000..c0c9cc1
--- /dev/null
+++ b/scripts/mksystem.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+while getopts ":v" Option
+do
+ case $Option in
+ v ) VERBOSE="-v" ;;
+ * ) ;;
+ esac
+done
+shift $(($OPTIND - 1))
+
+SYSDIR=${1:-system}
+SYSTAR="${2:-$(basename $SYSDIR).tar.bz2}"
+
+[[ $(dirname $SYSDIR) == '.' ]] && SYSDIR="$PWD/$SYSDIR"
+[[ $(dirname $SYSTAR) == '.' ]] && SYSTAR="$PWD/$SYSTAR"
+
+function usage() {
+ echo ""
+ echo "usage: mksystem /path/to/system/dir OUTPUT_FILE"
+ echo "where OUTPUT_FILE is specified via an absolute path"
+ exit 1
+}
+
+[[ -z $SYSDIR ]] && usage
+
+cd $SYSDIR
+tar $VERBOSE -jcf "$SYSTAR" *
+echo "Output written to: $SYSTAR"
+
+exit



  • [SM-Commit] GIT changes to test cauldron by Justin Boffemmyer (ededac6c5ee1d31d648d6f5ee1153f1a4734aaa1), Justin Boffemmyer, 10/08/2008

Archive powered by MHonArc 2.6.24.

Top of Page